local ret = function()
  return {
    WURT_HEALTH = 150,
    WURT_HUNGER = 200,
    WURT_SANITY = 150,

    WURT_HEALTH_KINGBONUS = 250,
    WURT_HUNGER_KINGBONUS = 250,
    WURT_SANITY_KINGBONUS = 200,

    WURT_FISH_PRESERVER_RATE = 1 / 4,

    MERM_DAMAGE = 30,
    MERM_HEALTH = 250, -- not harder for singleplayer
    MERM_HEALTH_REGEN_PERIOD = 10,
    MERM_HEALTH_REGEN_AMOUNT = (10 * (250 * 2)) / (total_day_time * 2), -- 2 days to recover to full to promote keeping Merms versus letting them die for the 4 day cooldown on houses.
    MERM_ATTACK_PERIOD = 3,
    MERM_RUN_SPEED = 8,
    MERM_WALK_SPEED = 3,
    MERM_TARGET_DIST = 10,
    MERM_DEFEND_DIST = 30,
    MERM_MAX_STUN_LOCKS = 2,
    MERM_LOW_LOYALTY_WARNING_PERCENT = 0.07,
    MERM_FOLLOWER_COUNT = 2,
    MERM_FOLLOWER_RADIUS = 8,
    MERM_GUARD_FOLLOWER_COUNT = 5,
    MERM_GUARD_FOLLOWER_RADIUS = 16,

    MERM_LOYALTY_MAXTIME = 3 * total_day_time,
    MERM_LOYALTY_PER_HUNGER = total_day_time / 25,
    MERM_SHARE_TARGET_DIST = 40,
    MERM_MAX_TARGET_SHARES = 5,

    MERM_DAMAGE_KINGBONUS = 40,
    MERM_HEALTH_KINGBONUS = 270, -- changed
    MERM_LOYALTY_MAXTIME_KINGBONUS = 2 * total_day_time,
    MERM_LOYALTY_PER_HUNGER_KINGBONUS = total_day_time / 33,

    MERM_GUARD_DAMAGE = 50,
    MERM_GUARD_HEALTH = 300,
    MERM_GUARD_ATTACK_PERIOD = 3,
    MERM_GUARD_RUN_SPEED = 8,
    MERM_GUARD_WALK_SPEED = 3,
    MERM_GUARD_TARGET_DIST = 15,
    MERM_GUARD_DEFEND_DIST = 40,

    MERM_GUARD_SHARE_TARGET_DIST = 60,
    MERM_GUARD_MAX_TARGET_SHARES = 8,

    MERM_GUARD_LOYALTY_MAXTIME = 3 * total_day_time,
    MERM_GUARD_LOYALTY_PER_HUNGER = total_day_time / 25,

    MERM_KING_HEALTH = 500, -- changed
    MERM_KING_HEALTH_REGEN_PERIOD = 1,
    MERM_KING_HEALTH_REGEN = 1,
    MERM_KING_HUNGER = 20000, -- changed to not starve easily
    MERM_KING_HUNGER_KILL_TIME = total_day_time * 2,
    MERM_KING_HUNGER_RATE = 20000 / (total_day_time * 400),

    PUNY_MERM_HEALTH = 200,
    PUNY_MERM_DAMAGE = 20,

    MERMHOUSE_REGEN_TIME = total_day_time * 4,
    MERMHOUSE_RELEASE_TIME = 10,
    MERMHOUSE_MERMS = 3,
    MERMHOUSE_ENABLED = true,

    MERMWATCHTOWER_REGEN_TIME = total_day_time / 2,
    MERMWATCHTOWER_RELEASE_TIME = 10,
    MERMWATCHTOWER_MERMS = 1,
    MERMWATCHTOWER_ENABLED = true,

    MERMHOUSE_EMERGENCY_MERMS = 3,
    MERMHOUSE_EMERGENCY_RADIUS = 15,

    SPRING_COMBAT_MOD = 1.33,
    -- Wurt QoL/AI
    -- Default fallbacks for follower brain AI distances.
    FOLLOWER_HELP_LEADERDIST = 18,
    FOLLOWER_HELP_FINDDIST = 6
  }
end
local TuningHack = {}
setmetatable(TuningHack, {
  __index = function(_, k)
    if k == nil then return nil end
    if type(k) == "string" and TUNING[string.upper(k)] then
      return TUNING[string.upper(k)]
    else
      return env[k]
    end
  end
})
setfenv(ret, TuningHack)
return ret
