local assets = {Asset("ANIM", "anim/ox_wool.zip")}

local function fn()
  local inst = CreateEntity()

  inst.entity:AddTransform()
  inst.entity:AddAnimState()

  MakeInventoryPhysics(inst)

  inst.AnimState:SetBank("ox_wool")
  inst.AnimState:SetBuild("ox_wool")
  inst.AnimState:PlayAnimation("idle")
  if MakeInventoryFloatable then MakeInventoryFloatable(inst, "idle_water", "idle") end
  inst:AddComponent("inspectable")
  inst:AddComponent("inventoryitem")
  inst.components.inventoryitem.imagename = "beefalowool"
  inst:AddComponent("stackable")
  inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
  inst:AddTag("cattoy")

  inst:AddComponent("fuel")
  inst.components.fuel.fuelvalue = TUNING.MED_FUEL

  MakeSmallBurnable(inst, TUNING.MED_BURNTIME)
  MakeSmallPropagator(inst)
  inst.components.burnable:MakeDragonflyBait(3)
  if MakeInventoryFloatable then
    inst:AddComponent("appeasement")
    inst.components.appeasement.appeasementvalue = TUNING.WRATH_SMALL
  end

  return inst
end

return Prefab("oxwool", fn, assets)
